30 Сентября 2022, 17:43

RHEL 7 beta

Автор sotrud_nik, 16 Декабря 2013, 19:48

« предыдущая тема - следующая тема »

0 Пользователей и 1 Гость просматривают эту тему.

sotrud_nik

Думаю что все заинтересованные лица уже читали в новостях про сабж.

Хотелось бы добавить, что при установке есть возможность выбрать казахский язык для системы.

Основная среда GNOME 3.8.4 далеко не полностью на казахском, но это уже отдельная тема.

B@F

А кто переводит?
Поправьте, если я ошибаюсь, буду тока рад.

sotrud_nik

RHEL7 основан на Fedora 19, а установщик для Fedora Anaconda я перевожу начиная с 18-й версии.
Гном - тоже я.

B@F

Один на весь мир этим занимаешься?
Поправьте, если я ошибаюсь, буду тока рад.

sotrud_nik

Цитата: B@F от 18 Декабря 2013, 08:41
Один на весь мир этим занимаешься?



Ну у меня основные цели - LibreOffice и Firefox. GNOME3 так, между делом немного локализован, и в Федоре только установщик.

У КДЕ кстати другой переводчик - Сайран Киккарин. Там и объемы побольше будут.

Yuriy_Y

Вот бы внедрить это еще всё у нас. А то столько денег за океан уходит...
С уважением, Юрий

sotrud_nik

Цитата: Yuriy_Y от 18 Декабря 2013, 11:10
Вот бы внедрить это еще всё у нас. А то столько денег за океан уходит...


А именно? Я подозреваю что вы имеете в виду продукты MS?

Yuriy_Y

Именно про них и говорю, да. Всех пугает переход на СПО, потому что офтопик привычнее и там всякие майлсрушные мелкоигры пашут.
С уважением, Юрий

sotrud_nik

Как говорится - начни с себя. Лично я с 2008 года дома только на Линуксе сижу.

Yuriy_Y

Ты монстр.  :ph34r:
Я с версии бунты 10.10 плотно сижу. Пробовал еще 6.04, 8.04, чет не торкнуло. А потом попёрло.  :lol:
С уважением, Юрий

hedgeven

Попытался установить rhel7 на HP ProLiant DL380 G5 - не получилось, инсталятор не нашел жесткого диска. Там должен использоваться драйвер cciss, который, хоть и признан устаревшим, но все-таки должен присутствовать в дистрибутиве. Попытки переключиться на текстовую консоль из инсталятора, чтобы вызвать fdisk -l и lspci -k, не привели к успеху, появился черный экран с кусором, ни на что не реагирующий. Такие дела.
Буду искать в багзилле RedHat или создавать новый баг.
Jah will give us everything...

B@F

Отпишись пожалуйста потом чем кончилось.
Поправьте, если я ошибаюсь, буду тока рад.

hedgeven

Загрузился в текстовом режиме (добавив к строке загрузки text), выполнил lspci -k и обнаружил, что драйвер на аппаратный RAID Smart Array Controller не найден. Поискал в доступных драйверах блочных устройств - нету.
Вывод: интересный у RedHat способ объявления оборудования устаревшим, причем не все из этого списка удалено с установочного диска, а как то выборочно.
Jah will give us everything...

B@F

У всех есть косяки, не только в Ubuntu  -_-. Я считаю, что такие вещи должны быть в составе очень очень долго. HP ProLiant DL380 G5 не такой уж и старый, есть намного старее.
Поправьте, если я ошибаюсь, буду тока рад.

hedgeven

Я открывал баг в RedHat Bugzilla, и вот ответ:

Цитировать> Description of problem:
>
> The installer does not find the drives connected to the HP Smart Array
> Controller P800. I booted in text mode and performed lspci -k. I saw that
> the driver cciss not found in the system.

> I know about
> https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/
> 7-Beta/html/7.0_Release_Notes/deprecated-drivers.html, but it does not say
> that these drivers are removed from the installation disk.
I'm sorry for that, but the documentation is wrong regarding the cciss driver. In a first step the aim was to deprecate the driver, but later, in liaison with HP, a decision has been made to remove the driver completely.

>
> Will returned cciss driver in the future, or support for these controllers
> are no longer planned?
For the P800(cciss) device a full support will continue through the RHEL6.


Кратко: в rhel7 не будет поддержки старых контроллеров HP.
Такие дела...
Jah will give us everything...

B@F

Лично я немного разочарован, я думал шапка очень очень долгосрочный дистр в плане поддержки всего серверного железа.  :huh:
Поправьте, если я ошибаюсь, буду тока рад.

sotrud_nik

Так оно и поддерживает в тех версиях где заявлено.
А старые драйвера если не между релизами выбрасывать, то когда?

Вот если железо не такое старое, но драйвера выброшены с согласованием с HP, тогда странно. Видать, подталкивают к покупке нового железа.

А бекпортировать драйвер не пробовал?

hedgeven

Ну надо же продать серию hp proliant gen8, на который, кстати, поставить rhel6 без плясок с драйвером hpvsa во время установки, не получится.

А так, даже с поддерживаемым железом случаются казусы, так, что насчет самосбора deprecated в продакшене я не уверен. Но попробовать можно.
Jah will give us everything...

sotrud_nik

Нагуглилось про драйвер cciss
http://alex-at.ru/it/esxi-5-1-p400-p400i

hedgeven

Не всем контроллерам суждено обрести счастье с hpsa, а значит и с новыми ядрами.

http://cciss.sourceforge.net/
ЦитироватьA new Smart Array driver called "hpsa" has been accepted into the main line linux kernel as of Dec 18, 2009, in linux-2.6.33-rc1. This new driver will support new Smart Array products going forward, and the cciss driver will eventually be deprecated. Initially, there was some overlap in the boards which these two drivers support.

Some development versions (2.6.33-rc1 up to 2.6.36-ish) of the linux kernel (as of Jan 8, 2009) on kernel.org have cciss and hpsa drivers which currently both support some Smart Array controllers. That is, there are some kernels which have overlapping sets of controllers supported by both hpsa and cciss. The intent with newer kernels (2.6.36-ish) is to remove this overlap so the sets of controllers supported by hpsa and cciss are disjoint.
The current list of controllers that should be supported controllers for hpsa is as follows:

    Smart Array P212
    Smart Array P410
    Smart Array P410i
    Smart Array P411
    Smart Array P812
    Smart Array P712m
    Smart Array P711m
    Smart Array P222
    Smart Array P420
    Smart Array P421
    Smart Array P822
    Smart Array P420i
    Smart Array P220i
    Smart Array P721
    Smart Array P430i
    Smart Array P830i
    Smart Array P430
    Smart Array P431
    Smart Array P830
    Smart Array P831
    Smart Array P731m
    Smart Array P230i
    Smart Array P531
    Smart Array P530
    HP StorageWorks 1210m
    HP StorageWorks 1210m
    HP Storage P1224 Array Controller
    HP Storage P1228 Array Controller
    HP Storage P1228m Array Controller
    HP Storage P1224e Array Controller
    HP Storage P1228e Array Controller
    HP Storage P1228em Array Controller

The current list of controllers that should be supported by cciss* is as follows:

    Smart Array 5300
    Smart Array 5i
    Smart Array 532
    Smart Array 5312
    Smart Array 641
    Smart Array 642
    Smart Array 6400
    Smart Array 6400 EM
    Smart Array 6i
    Smart Array 6422
    Smart Array P600
    Smart Array E200i
    Smart Array E200
    Smart Array E200i
    Smart Array E200i
    Smart Array E200i
    Smart Array E500
    Smart Array P800
    Smart Array P400
    Smart Array P400i
    Smart Array P700m
    Smart Array P212
    Smart Array P410
    Smart Array P410i
    Smart Array P411
    Smart Array P812
    Smart Array P712m
    Smart Array P711m
    Smart Array P222
    Smart Array P420
    Smart Array P421
    Smart Array P822
    Smart Array P420i
    Smart Array P220i
    Smart Array P721
    Smart Array P430i
    Smart Array P830i
    Smart Array P430
    Smart Array P431
    Smart Array P830
    Smart Array P831
    Smart Array P731m
    Smart Array P230i
Jah will give us everything...

B@F

А с сервером должен идти SmartInstal там дрова должны быть и вро де с помощью этого диска можно установить систему.
ЦитироватьProLiant Support Pack -- это пакетов драйверов, системных утилит, средств управления и мониторинга для серверов

Если сильно надо у меня такой диск есть, могу выложить.
Поправьте, если я ошибаюсь, буду тока рад.

hedgeven

в последних серверах (gen8) smartinstall "зашит" в самом сервере вместе с дровами для rhel/sles. а в старых шел отдельно, но через него только винды можно ставить.

как я понял, в новых ядрах в любых дистрибутивах поддержки многих старых контроллеров hp smart array не будет.
может и можно самому скомпилить и подгрузить, но мне пока не хочется проверять.
Jah will give us everything...